Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.print.attribute
Class HashPrintServiceAttributeSet

    java.lang.Object
      |
      +--javax.print.attribute.HashAttributeSet
            |
            +--javax.print.attribute.HashPrintServiceAttributeSet

All Implemented Interfaces:
  AttributeSet, PrintServiceAttributeSet, Serializable

public class HashPrintServiceAttributeSet
extends HashAttributeSet
implements PrintServiceAttributeSet, Serializable

Class HashPrintServiceAttributeSet provides an attribute set which inherits its implementation from class `HashAttributeSet` and enforces the semantic restrictions of interface `PrintServiceAttributeSet`.

See Also:
  Serialized Form

Constructor Summary
`HashPrintServiceAttributeSet()` Construct a new, empty hash print service attribute set.
`HashPrintServiceAttributeSet(PrintServiceAttribute attribute)` Construct a new hash print service attribute set, initially populated with the given value.
`HashPrintServiceAttributeSet(PrintServiceAttribute[] attributes)` Construct a new print service attribute set, initially populated with the values from the given array.
`HashPrintServiceAttributeSet(PrintServiceAttributeSet attributes)` Construct a new attribute set, initially populated with the values from the given set where the members of the attribute set are restricted to the `PrintServiceAttribute` interface.

Methods inherited from class javax.print.attribute.HashAttributeSet
`add, addAll, clear, containsKey, containsValue, equals, get, hashCode, isEmpty, remove, remove, size, toArray`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.print.attribute.PrintServiceAttributeSet
`add, addAll`

Methods inherited from interface javax.print.attribute.AttributeSet
`clear, containsKey, containsValue, equals, get, hashCode, isEmpty, remove, remove, size, toArray`

Constructor Detail

### HashPrintServiceAttributeSet

    public HashPrintServiceAttributeSet()

  Construct a new, empty hash print service attribute set.

### HashPrintServiceAttributeSet

    public HashPrintServiceAttributeSet(PrintServiceAttribute attribute)

  Construct a new hash print service attribute set, initially populated with the given value.

Parameters:
  `attribute` - Attribute value to add to the set.
Throws:
  `NullPointerException` - (unchecked exception) Thrown if `attribute` is null.

### HashPrintServiceAttributeSet

    public HashPrintServiceAttributeSet(PrintServiceAttribute[] attributes)

  Construct a new print service attribute set, initially populated with the values from the given array. The new attribute set is populated by adding the elements of `attributes` array to the set in sequence, starting at index 0. Thus, later array elements may replace earlier array elements if the array contains duplicate attribute values or attribute categories.

Parameters:
  `attributes` - Array of attribute values to add to the set. If null, an empty attribute set is constructed.
Throws:
  `NullPointerException` - (unchecked exception) Thrown if any element of `attributes` is null.

### HashPrintServiceAttributeSet

    public HashPrintServiceAttributeSet(PrintServiceAttributeSet attributes)

  Construct a new attribute set, initially populated with the values from the given set where the members of the attribute set are restricted to the `PrintServiceAttribute` interface.

Parameters:
  `attributes` - set of attribute values to initialise the set. If null, an empty attribute set is constructed.
Throws:
  `ClassCastException` - (unchecked exception) Thrown if any element of `attributes` is not an instance of `PrintServiceAttribute`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.